## FFXCWDS

The `FFXCWDS` structure holds a current working directory path. It is defined and used only when `FF_FS_EXFAT == 1 && FF_FS_RPATH != 0`. This structure is for only internal use and it does not appear on the API.

    typedef struct {
        DWORD   d_scl;        /* Directory start cluster (0:root dir) */
        DWORD   d_size;       /* Size of directory (b7-b0: cluster chain status) (invalid if d_scl == 0) */
        DWORD   nxt_ofs;      /* Offset of entry of next dir in this directory (invalid if last link) */
    } FFXCWDL;

    typedef struct {
        UINT    depth;        /* Current directory depth (0:root dir) */
        FFXCWDL tbl[FF_PATH_DEPTH + 1]; /* Directory chain of current directory path */
    } FFXCWDS;

Return